List Authorization Tokens

List Authorization Tokens for a Donor Account. Token codes are never returned by this endpoint — only the metadata is returned.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique id of the Donor Account

Query parameters

statusenumOptional
Filter tokens by status.
Allowed values:
page_limitintegerOptionalDefaults to 10

the number of results to return; defaults to 10, max is 100

page_tokenstringOptional

A cursor for paginating; pass the value from next_page_token of the previous response.

Response

The response for DonorAccounts.listAuthorizationTokens
resultslist of objects
next_page_tokenstring or null

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the page_token). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error